# Get Unique Identifier of an Address

{% hint style="info" %}
A user will be assigned a UUID (Universally Unique Identifier) if they have gone done a document scan + biomentric scan (selfie) OR just a biomentric scan (motion)
{% endhint %}

To query the UUID of a wallet simply call:

```javascript
const soulbound = new web3.eth.Contract(abi, soulboundContractAddress);
const uuidData = await soulbound.methods.getUUIDData(walletAddress).call();
```

Or call our "**`GET /api/v1/uuid`**" API directly [here](https://app.gitbook.com/o/fDCD07bvM58xbmZvN3nL/s/yX8UjIeZe2T6a7dmvUvI/~/changes/9/developer-guides/public-apis#apis):

{% content-ref url="/pages/I1cb6YyupQZqjo7Rq7Ze" %}
[Public APIs](/developer-guides/public-apis.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0xkyc.id/developer-guides/client-or-server-guide/sunscreen-uniquness-verification/get-unique-identifier-of-an-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
